textures/classicajb/metal_slick
{
	qer_editorimage textures/classicajb/metal_slick
	surfaceparm metal
	surfaceparm slick
	implicitMap textures/classicajb/metal4.tga
}





textures/classicajb/rock_terrain
{
    qer_editorimage textures/classicajb/rock_terrain.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/classicajb/rock2.tga	
		blendfunc filter
	}

	
}



textures/classicajb/rock_terrain2
{
    qer_editorimage textures/classicajb/rock.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/classicajb/rock.tga	
		blendfunc filter
	}

}

textures/classicajb/glass
{
	qer_editorimage textures/classicajb/glass.jpg
	qer_trans 0.5
	cull none
	surfaceparm glass
	surfaceparm trans
	{
		map textures/classicajb/glass.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}


textures/classicajb/w_light
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	//q3map_surfacelight 250
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.9 0.9 0.9 ) 0.2
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/classicajb/w_up.tga	
		//map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		//map textures/classicajb/w_up.tga	
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 0.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		alphaGen const 5.5
	}
}


textures/classicajb/iceh
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	//tesssize 256

	{
		map textures/classicajb/ice_2.tga
		//map textures/snow_sd/icelake2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		//tcMod scale 4 4
		detail
	}
}




textures/classicajb/portal

{
	qer_editorimage textures/classicajb/w_up.tga
	qer_trans 0.9
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	
	q3map_surfacelight 4000
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/classicajb/w_up.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
}


textures/classicajb/numbs
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	nopicmip
	polygonoffset
	nomipMaps
	nocompress
	{
		map textures/classicajb/numbs.tga
		blendFunc GL_ONE GL_ONE
		
	}
}


levelshots/classicgammas_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/classicgammas_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/classicgammas_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/classicgammas_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}
